%define upstream_name    Math-Derivative
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Numeric 1st and 2nd order differentiation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This Perl package exports functions for performing numerical first
(Derivative1) and second Derivative2) order differentiation on vectors of data.
They both take references to two arrays containing the x and y ordinates of the
data and return an array of the 1st or 2nd derivative at the given x ordinates.
Derivative2 may optionally be given values to use for the first dervivative at
the start and end points of the data - otherwiswe 'natural' values are used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.0-4pclos2017
- rebuild against updates

